云客户端连接平台经常掉线重连

03/26/2025 15:03 - 天琦 刘

Status: Closed Start date: 03/26/2025

Priority: Normal Due date:  

Assignee: 齐 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: emei_default_ker_fs_fwk_ab087008 复现概率: 100%

Description

【测试步骤】

1、网关拨号成功，网络连接正常

2、网关连接云客户端正式平台

3、等待1小时后，查看云客户端日志

【预期结果】

1、云客户端日志无异常，不会掉线重连

【实际结果】

1、云客户端经常掉线重连，重连后发现网关系统时间延迟几分钟，时间与当前时间不同步

History

#1 - 03/28/2025 10:02 - 家衡 付

系统时间延迟几分钟,linux系统时间延迟了，实测大概5秒慢1秒

chip/emei/common/cmake/parameter_info.cmake中：

set(CONFIG_DEFAULT_CLKFREQ_TURBO 250000000)

set(CONFIG_DEFAULT_CLKFREQ_DEBUG 200000000)

set(CONFIG_DEFAULT_CLKFREQ_RELEASE 200000000)

目前sdk更新之后编译由RELEASE变TURBO，系统默认时钟频率DEFAULT_CLKFREQ提高了，更新固件的时候把uboot也更新，时间即可恢复正常

#2 - 04/14/2025 09:40 - 天琦 刘

- Status changed from New to Closed
